This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 503790 - virtio balloon: add a command-line option to disable it at runtime
virtio balloon: add a command-line option to disable it at runtime
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Lawrence Lim
:
Depends On: 503811
Blocks: 505147
  Show dependency treegraph
 
Reported: 2009-06-02 14:01 EDT by Eduardo Habkost
Modified: 2014-03-25 20:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: kvm-83-83.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 15 lihuang 2009-07-03 04:17:32 EDT
Tested in beta9.1 -balloon option works well, Change the status to *VERIFIED*

# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 5.4-2.0.99 (9.1)
# rpm -q kvm
kvm-83-83.el5



1 balloon is default enabled 

# /usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -drive file=/data/images/images/RHEL-Server-5.3-64-virtio.qcow2,if=virtio,media=disk,cache=off,index=0,boot=on -cpu qemu64,+sse2 -net nic -net tap -vnc :12 -monitor stdio
QEMU 0.9.1 monitor - type 'help' for more information
(qemu) info  balloon 
balloon: actual=128
(qemu) 
[root@localhost ~]# lsmod | grep -iE "balloon|virtio"
virtio_blk             41417  3 
virtio_pci             41921  0 
virtio_ring            37441  1 virtio_pci
virtio                 39365  2 virtio_blk,virtio_pci
[root@localhost ~]# lspci | grep -iE "balloon|virtio"
00:04.0 Mass storage controller: Qumranet, Inc. Virtio block device
00:05.0 RAM memory: Qumranet, Inc. Virtio memory balloon
[root@localhost ~]#

2 balloon can be disabled from command line 
# /usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -drive file=/data/images/images/RHEL-Server-5.3-64-virtio.qcow2,if=virtio,media=disk,cache=off,index=0,boot=on -cpu qemu64,+sse2 -net nic -net tap -vnc :12 -monitor stdio -balloon none
QEMU 0.9.1 monitor - type 'help' for more information
(qemu) info  balloon 
Ballooning not activated in VM
(qemu) 

[root@localhost ~]# lspci | grep -iE "balloon|virtio"
00:04.0 Mass storage controller: Qumranet, Inc. Virtio block device
[root@localhost ~]# lsmod | grep -iE "balloon|virtio"
virtio_blk             41417  3 
virtio_pci             41921  0 
virtio_ring            37441  1 virtio_pci
virtio                 39365  2 virtio_blk,virtio_pci
[root@localhost ~]# 


3 balloon is enabled by commline option *-balloon virtio*
# /usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -drive file=/data/images/images/RHEL-Server-5.3-64-virtio.qcow2,if=virtio,media=disk,cache=off,index=0,boot=on -cpu qemu64,+sse2 -net nic -net tap -vnc :12 -monitor stdio -balloon virtio
QEMU 0.9.1 monitor - type 'help' for more information
(qemu) info balloon 
balloon: actual=128
(qemu) 

[root@localhost ~]# lsmod | grep -iE "balloon|virtio"
virtio_blk             41417  3 
virtio_pci             41921  0 
virtio_ring            37441  1 virtio_pci
virtio                 39365  2 virtio_blk,virtio_pci
[root@localhost ~]# lspci | grep -iE "balloon|virtio"
00:04.0 Mass storage controller: Qumranet, Inc. Virtio block device
00:05.0 RAM memory: Qumranet, Inc. Virtio memory balloon

4. help information is printed :
# /usr/libexec/qemu-kvm --help | grep balloon
-balloon none   disable balloon device
-balloon virtio
                enable virtio balloon device (default)

5. qemu-kvm can handle the error parameter :
# /usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -drive file=/data/images/images/RHEL-Server-5.4-64-virtio.qcow2,if=virtio,media=disk,cache=off,index=0,boot=on -cpu qemu64,+sse2 -net nic -net tap -vnc :12 -monitor stdio -balloon aa    
Unknown -balloon argument aa
Comment 16 lihuang 2009-07-03 08:42:01 EDT
BTW : the *Qumranet, Inc* in lscpi is OK ? 
00:05.0 RAM memory: Qumranet, Inc. Virtio memory balloon
                   ^^^^^^^^^^^^^^^^
Comment 17 Eduardo Habkost 2009-07-03 12:04:29 EDT
(In reply to comment #16)
> BTW : the *Qumranet, Inc* in lscpi is OK ? 
> 00:05.0 RAM memory: Qumranet, Inc. Virtio memory balloon
>                    ^^^^^^^^^^^^^^^^  

The only thing exposed by the virtual hardware is a numeric PCI ID. If the guest is showing the PCI ID as "Qumranet, Inc", it is a guest issue, not KVM issue. On RHEL-5 the PCI ID table is on the 'hwdata' package.
Comment 18 lihuang 2009-07-04 03:51:36 EDT
Yes . PCI ID is 1af4:1002.

in PCI ID table:

1af4  Qumranet, Inc.
        1000  Virtio network device
        1001  Virtio block device
        1002  Virtio memory balloon
        1003  Virtio console
Comment 20 errata-xmlrpc 2009-09-02 05:33:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.